Subject: Re: Compiled executable differences between 9x and NT
From: Geoffrey Noer <[email-masked]>
To: Jonathan Pryor <[email-masked]>
Cc: Cygwin Mailing List <[email-masked]>
Date: Tue, 9 Mar 1999 12:20:12 -0800

On Mon, Mar 08, 1999, Jonathan Pryor wrote:
>
> What are the *exact* differences between 95 and NT,
> as far as the cygwin environment and compiler are
> concerned?
> 
> I would normally assume that if I stick with the
> strict ANSI stuff (console I/O), limited to the
> extent so that MSVC can also compile it (no great
> reliance on the posix api's), that I should be able
> to compile an executable on both 95 and NT and have
> it behave the same on both.

9x and NT have different sets of bugs and features.  Cygwin
checks which OS is running and uses this info to provide the
a Unix layer that should make Cygwin applications run
the same under either OS.  (Of course while this is the
goal, sometimes this doesn't quite happen).

> Unfortunately, I have a program for which this isn't 
> happening.  Under NT, it runs as expected in all 
> cases.  Under 95, it's currently causing
> a "blue screen" with cygwin egcs-1.1.1, and causes
> a "This progam has performed an illegal operation
> and will be shut down." message under mingw32.
> 
> I get these errors if the executable was compiled
> and run under 95, or if the executable was compiled
> under NT but run under 95.  (The same executable -- 
> compiled under either 95 or NT -- runs fine under
> NT.)
> 
> As a note, it compiles and runs fine with MSVC6.

Ah, you're using mingw.  So Cygwin is probably
not relevant.  Hmmm, well, I've noticed that Windows
9x often is more sensitive to buggy exes.  Perhaps
you're running into a compiler issue?

-- 
Geoffrey Noer		Email: [email-masked]
Cygnus Solutions

--
Want to unsubscribe from this list?
Send a message to [email-masked]